local function doFadeWipe(state)
  fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
  engine.Scene:Add(fadeWipe)
  fadeWipe.duration = 1.5
  fadeWipe.EndTimer = 0
end


function onBegin()

  if getFlag("dw_03c_sub2a_to_03c") then

    doFadeWipe(true)
    wait(0.6)
    enableMovement()
    enablePause()
    setFlag("dw_03c_sub2a_to_03c", false)

  end

end